import 'dart:ui';

class AppTranslations {
  static final AppTranslations _application = AppTranslations._internal();
  factory AppTranslations() => _application;
  AppTranslations._internal();

  final String assetLang = "assets/translate/";

  void UpdateSupportLanguagesCode(
      {List<Locale> supportedLanguages = const [
        Locale("en", "US"),
        Locale("vi", ""),
      ]}) {
    supportedLanguage.clear();
    supportedLanguage.addAll(supportedLanguages);
  }

  List<Locale> supportedLanguage = [];
}
